--
-- $Id: HTMLUtils.hs,v 1.4 2005/12/16 14:40:20 aamine Exp $
--
-- Copyright (c) 2005 Minero Aoki
--
-- This program is free software.
-- You can distribute/modify this program under the terms of
-- the GNU LGPL, Lesser General Public License version 2.1.
-- For details of the GNU LGPL, see the file "COPYING".
--

module HTMLUtils
    (a_href, escape, escapeChar) where

a_href :: String -> String -> String
a_href url label =
    "<a href=\"" ++ escape url ++ "\">" ++ escape label ++ "</a>"

escape :: String -> String
escape = concatMap (escapeChar)

escapeChar :: Char -> String
escapeChar '<' = "&lt;"
escapeChar '>' = "&gt;"
escapeChar '&' = "&amp;"
escapeChar c = [c]
